// @ts-ignore
/* eslint-disable */
import request from "../request";

/** 此处后端没有提供注释 POST /auth/captcha/check */
export async function check(
  body: AuthAPI.CaptchaVO,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.ResponseModel>("/auth/captcha/check", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /auth/captcha/get */
export async function get(
  body: AuthAPI.CaptchaVO,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.ResponseModel>("/auth/captcha/get", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}

/** 此处后端没有提供注释 POST /auth/captcha/verify */
export async function verify(
  body: AuthAPI.CaptchaVO,
  options?: { [key: string]: any },
) {
  return request<AuthAPI.ResponseModel>("/auth/captcha/verify", {
    method: "POST",
    headers: {
      "Content-Type": "application/json",
    },
    data: body,
    ...(options || {}),
  });
}
